ITaggedValue

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface ITaggedValue

    com.change_vision.jude.api.inf.model.ITaggedValue

All Implemented Interfaces:
  IElement

public ITaggedValue
extends IElement

Interface for Tagged Values.

Method Summary
`abstract String` | `getKey()` Get Key.
`abstract String` | `getValue()` Get Value.
`abstract void` | `setKey(String key)` Set Key.
`abstract void` | `setValue(String value)` Set Value.

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getId, getOwner, getStereotypes, getTaggedValues, getTypeModifier, isReadOnly, removeStereotype, setTypeModifier`

Method Detail

### getKey

    public abstract String getKey()

  Get Key.

  Returns:
    Key

### getValue

    public abstract String getValue()

  Get Value.

  Returns:
    Value

### setKey

    public abstract void setKey(String key)

  Set Key.

  Parameters:
    `key` - Key
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### setValue

    public abstract void setValue(String value)

  Set Value.

  Parameters:
    `value` - Value
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD